## org.apache.mahout.math.hadoop
Class TransposeJob.TransposeReducer

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.TransposeJob.TransposeReducer

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Enclosing class:
  TransposeJob

    public static class TransposeJob.TransposeReducer

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Constructor Summary
`TransposeJob.TransposeReducer()`

Method Summary
`void` `configure(org.apache.hadoop.mapred.JobConf conf)`
`void` `reduce(org.apache.hadoop.io.IntWritable outRow, java.util.Iterator<DistributedRowMatrix.MatrixEntryWritable> it, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,VectorWritable> out, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TransposeJob.TransposeReducer

    public TransposeJob.TransposeReducer()

Method Detail

### configure

    public void configure(org.apache.hadoop.mapred.JobConf conf)

  Specified by:
    `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`
  Overrides:
    `configure` in class `org.apache.hadoop.mapred.MapReduceBase`

### reduce

    public void reduce(org.apache.hadoop.io.IntWritable outRow,
                       java.util.Iterator<DistributedRowMatrix.MatrixEntryWritable> it,
                       org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,VectorWritable> out,
                       org.apache.hadoop.mapred.Reporter reporter)
                throws java.io.IOException

  Specified by:
    `reduce` in interface `org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.IntWritable,DistributedRowMatrix.MatrixEntryWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.